## $Id: browser.py 12539 2015-02-01 07:44:27Z henrik $
##
## Copyright (C) 2015 Uli Fouquet & Henrik Bettermann
## This program is free software; you can redistribute it and/or modify
## it under the terms of the GNU General Public License as published by
## the Free Software Foundation; either version 2 of the License, or
## (at your option) any later version.
##
## This program is distributed in the hope that it will be useful,
## but WITHOUT ANY WARRANTY; without even the implied warranty of
## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
## GNU General Public License for more details.
##
## You should have received a copy of the GNU General Public License
## along with this program; if not, write to the Free Software
## Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
##

from zope.component import getUtility
from waeup.ikoba.interfaces import IIkobaUtils, IExtFileStore
from waeup.ikoba.customers.browser import (
    PDFContractSlipPage, CustomerBaseEditFormPage)
from ikobacustom.skeleton.interfaces import MessageFactory as _

class PDFContractSlipPage(PDFContractSlipPage):
    """Deliver pdf file including metadata.
    """

    @property
    def label(self):
        portal_language = getUtility(IIkobaUtils).PORTAL_LANGUAGE
        return self.context.title


class CustomerBaseEditFormPage(CustomerBaseEditFormPage):
    """ View to edit customer base data
    """

    def dataNotComplete(self):
        store = getUtility(IExtFileStore)
        error = ''
        if not store.getFileByContext(self.context, attr=u'passport.jpg'):
            error += _('Passport picture is missing.')
        if error:
            return error
        return